Retrieve BA Currencies by Code

Prev Next
Get
/sys-rest-api/rest/1/bacurrency

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select by Bacurrency Finder
  • By UUID

Select by Bacurrency Finder

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
CurrName Currency Name Canadian Dollar

By UUID

This is an optional finder for querying a specific Currency by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /sys-rest-api/rest/1/bacurrency/CAD
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleBacurrencyFinder;CurrName=Canadian Dollar
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleBacurrCode:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
  "items": [
    {
      "BacurrCode": "CAD",
      "BacurrName": "Canadian Dollar",
      "BacurrLogo": null,
      "BacurrWordMapping": null,
      "BacurrIuCreateDate": "2015-01-22T14:38:38Z",
      "BacurrIuCreateUser": "ADWAIT",
      "BacurrIuUpdateDate": null,
      "BacurrIuUpdateUser": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/bacurrency/CAD",
          "name": "bacurrency",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/bacurrency/CAD",
          "name": "bacurrency",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/bacurrency",
      "name": "bacurrency",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved